4 Replies Latest reply on May 10, 2017 5:43 AM by jewdorec39230468

    Flash Builder 4.7 crashes on startup

    Pete at Sinclair Digital

      Installed and re-installed by IT on the company's Macbook Pro, licensed under the company's site license.  The same product installed by the same group on identical Macbook Pros works.  When running on my machine I get the message: 

      An error has occurred.

       

      See the log file

      /Users/ppulliam/Documents/Adobe Flash Builder 4.7/.metadata/.log.

       

      When looking in the .log, I see:

      !ENTRY org.eclipse.osgi 4 0 2014-12-16 11:30:31.724

      !MESSAGE An error occurred while automatically activating bundle com.adobe.flexide.editorcore (105).

      !STACK 0

      org.osgi.framework.BundleException: Exception in com.adobe.flexide.editorcore.EditorCore.start() of bundle com.adobe.flexide.editorcore.

              at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextIm pl.java:734)

              at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:6 83)

       

      Caused by: java.lang.NoClassDefFoundError: com/adobe/flexbuilder/util/PluginProperties

              at com.adobe.flexide.editorcore.EditorCore.initializeOptions(EditorCore.java:212)

       

      Caused by: org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter$TerminatingClassNotFoundExce ption: An error occurred while automatically activating bundle com.adobe.flexbuilder.project (68).

              at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLa zyStarter.java:122)

       

      Caused by: org.osgi.framework.BundleException: Exception in com.adobe.flexbuilder.project.internal.FlexProjectCore.start() of bundle com.adobe.flexbuilder.project.

       

      Caused by: java.lang.UnsatisfiedLinkError: no BridgeTalk in java.library.path

       

      Root exception:

      java.lang.NoClassDefFoundError: com/adobe/flexbuilder/util/PluginProperties

              at com.adobe.flexide.editorcore.EditorCore.initializeOptions(EditorCore.java:212)

       

      Caused by: java.lang.UnsatisfiedLinkError: no BridgeTalk in java.library.path

              at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1857)

       

      I've already tried installing version 4.2 of eclipse and using the flash builder plug-in utility to point to my version, as well as a large number of other things.

       

      Pete